//- article block
mixin articleBlock(date, mark, markText, image, title)
  // article
  a(href= LINKS.article).article.article__block
    // image
    .article__image
      .article__labels
        .article__date= date
        if mark === true
          .article__mark= markText
      img(src="uploads/" + image, alt= title)
      h3.article__title!= title

//- article preview
mixin articlePreview(date, mark, markText, image, title, className)
  // article
  article(class="article " + className)
    // image
    a(href= LINKS.article).article__image
      .article__labels
        .article__date= date
        if mark === true
          .article__mark= markText
      img(src="uploads/" + image, alt= title)
    // content
    .article__content
      a(href= LINKS.article).article__title!= title

//- article item
mixin articleItem(date, mark, markText, image, title, className)
  // article
  a(href= LINKS.article).article.article__main-news
    // image
    .article__image
      .article__labels
        .article__date= date
        if mark === true
          .article__mark= markText
      img(src="uploads/" + image, alt= title)
    h3.article__title!= title
